ivideo/shader/shader.h File Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations
ivideo/shader/shader.h File Reference

Shader-related interfaces. More...

`#include "csutil/scf.h"`
`#include "iutil/array.h"`
`#include "csgfx/shadervar.h"`
`#include "csutil/array.h"`
`#include "csutil/bitarray.h"`
`#include "csutil/refarr.h"`
`#include "csutil/set.h"`
`#include "csutil/strset.h"`
`#include "csutil/noncopyable.h"`

Go to the source code of this file.

## Classes
struct | csShaderMetadata
| Shader metadata. More...
class | csShaderVariableStack
| A "shader variable stack". More...
struct | iShader
| Specific shader. More...
struct | iShaderCompiler
| Compiler of shaders. More...
struct | iShaderManager
| A manager for all shaders. More...
struct | iShaderPriorityList
| A list of priorities as returned by iShaderCompiler::GetPriorities() More...
struct | iShaderVariableContext
| This is a baseclass for all interfaces which provides shadervariables both dynamically and static. More...
## Namespaces
namespace | CS
| Main namespace for CrystalSpace.
namespace | CS::Graphics
| Graphics and rendering related classes.
## Enumerations
enum | csShaderTagPresence { TagNeutral, TagForbidden, TagRequired }
| Possible settings regarding a techique tag's presence. More...
## Functions
static csShaderVariable * | csGetShaderVariableFromStack (const csShaderVariableStack &stack, const CS::ShaderVarStringID &name)
| Helper function to retrieve a single value from a shader variable stack.

## Detailed Description

Shader-related interfaces.

Definition in file shader.h.

## Enumeration Type Documentation

enum csShaderTagPresence

Possible settings regarding a techique tag's presence.

Enumerator:

  TagNeutral | The tag is neither required nor forbidden. However, it's priority still contributes to technique selection.
  TagForbidden | Techniques were this tag is present are rejected to be loaded.
  TagRequired | Techniques are required to have one such tag. If at least one required tag exists and no required tag is present in a technique, it doesn't validate.

Definition at line 331 of file shader.h.

## Function Documentation

static csShaderVariable* csGetShaderVariableFromStack | ( | const csShaderVariableStack & | stack,
|  | const CS::ShaderVarStringID & | name
| ) |  | `[inline, static]`

Helper function to retrieve a single value from a shader variable stack.

Definition at line 252 of file shader.h.